%define major 2
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d
%bcond_with crosscompile

Summary:	JSON implementation in C
Name:		json-c
Version:	0.12
Release:	2
License:	MIT
Group:		System/Libraries
Url:		https://github.com/json-c/json-c/wiki
Source0:	https://s3.amazonaws.com/json-c_releases/releases/%{name}-%{version}.tar.gz
Patch0:		json-c-0.12-unused-variable.patch
BuildRequires:	libtool

%description
JSON-C implements a reference counting object model that allows you to
easily construct JSON objects in C, output them as JSON formatted
strings and parse JSON formatted strings back into the C
representation of JSON objects.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	JSON implementation in C
Group:		System/Libraries

%description -n %{libname}
JSON-C implements a reference counting object model that allows you to
easily construct JSON objects in C, output them as JSON formatted
strings and parse JSON formatted strings back into the C
representation of JSON objects.

%files -n %{libname}
%{_libdir}/libjson-c.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development headers and libraries for %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Obsoletes:	%{_lib}json-devel < 0.11-2

%description -n %{devname}
JSON-C implements a reference counting object model that allows you to
easily construct JSON objects in C, output them as JSON formatted
strings and parse JSON formatted strings back into the C
representation of JSON objects.

%files -n %{devname}
%{_libdir}/*.so
%{_includedir}/%{name}
%{_libdir}/pkgconfig/*.pc

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1

%if %{with crosscompile}
export ac_cv_func_malloc_0_nonnull=yes
%endif

%build
sed -i -e "s:-Werror::" Makefile.am.inc
autoreconf -fiv
%configure2_5x \
	--disable-static

make

%install
%makeinstall_std


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.12-2
+ Revision: b9b7524
- MassBuild#440: Increase release tag


